/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_H
#define OCARINA_H

#include <core/queue.h>
#include <gtkmm.h>


/* main.cpp */
namespace gui
{
	const std::string share_file(const std::string &);
}

extern struct queue_ops collection_ops;
extern struct queue_ops history_ops;
extern struct queue_ops playlist_ops;
extern struct queue_ops tempq_ops;

void on_pq_created(queue *, unsigned int);
void post_init_queue_tabs();


/* playlist.cpp */
namespace plist
{
	void init();
}


#endif /* OCARINA_H */
